org.jbpm.services.task.persistence

## Class AbstractTaskQueryCriteriaUtil

- java.lang.Object
- - org.jbpm.query.jpa.impl.QueryCriteriaUtil
  - - org.jbpm.services.task.persistence.AbstractTaskQueryCriteriaUtil

- Direct Known Subclasses:
    TaskAuditQueryCriteriaUtil, TaskSummaryQueryCriteriaUtil

      public class AbstractTaskQueryCriteriaUtil
      extends org.jbpm.query.jpa.impl.QueryCriteriaUtil

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JPATaskPersistenceContext` | `persistenceContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTaskQueryCriteriaUtil()`
    `AbstractTaskQueryCriteriaUtil(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `closeEntityManager(javax.persistence.EntityManager em, Object transaction)`
    `protected <T> List<T>` | `createQueryAndCallApplyMetaCriteriaAndGetResult(org.jbpm.query.jpa.data.QueryWhere queryWhere, javax.persistence.criteria.CriteriaQuery<T> criteriaQuery, javax.persistence.criteria.CriteriaBuilder builder)`
    `protected javax.persistence.criteria.CriteriaBuilder` | `getCriteriaBuilder()`
    `protected javax.persistence.EntityManager` | `getEntityManager()`
    `protected <R,T> javax.persistence.criteria.Predicate` | `implSpecificCreatePredicateFromSingleCriteria(javax.persistence.criteria.CriteriaQuery<R> query, javax.persistence.criteria.CriteriaBuilder builder, Class queryType, org.jbpm.query.jpa.data.QueryCriteria criteria, org.jbpm.query.jpa.data.QueryWhere queryWhere)`
    `protected boolean` | `initializeCriteriaAttributes()`
    `protected Object` | `joinTransaction(javax.persistence.EntityManager em)`

    - ### Methods inherited from class org.jbpm.query.jpa.impl.QueryCriteriaUtil

      `addCriteria, addCriteria, applyMetaCriteriaToQuery, basicCreatePredicateFromSingleCriteria, convertListToInterfaceList, convertRegexToJPALikeExpression, defaultGetEntityField, doCriteriaQuery, fillCriteriaQuery, getCriteriaAttributes, getEntityField, getOrderByExpression, getRoot, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### persistenceContext

          protected final JPATaskPersistenceContext persistenceContext

  - ### Constructor Detail

    - #### AbstractTaskQueryCriteriaUtil

          public AbstractTaskQueryCriteriaUtil(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

    - #### AbstractTaskQueryCriteriaUtil

          public AbstractTaskQueryCriteriaUtil()

  - ### Method Detail

    - #### getEntityManager

          protected javax.persistence.EntityManager getEntityManager()

    - #### joinTransaction

          protected Object joinTransaction(javax.persistence.EntityManager em)

    - #### getCriteriaBuilder

          protected javax.persistence.criteria.CriteriaBuilder getCriteriaBuilder()

      Specified by:
        `getCriteriaBuilder` in class `org.jbpm.query.jpa.impl.QueryCriteriaUtil`

    - #### closeEntityManager

          protected void closeEntityManager(javax.persistence.EntityManager em,
                                            Object transaction)

    - #### initializeCriteriaAttributes

          protected boolean initializeCriteriaAttributes()

      Specified by:
        `initializeCriteriaAttributes` in class `org.jbpm.query.jpa.impl.QueryCriteriaUtil`

    - #### implSpecificCreatePredicateFromSingleCriteria

          protected <R,T> javax.persistence.criteria.Predicate implSpecificCreatePredicateFromSingleCriteria(javax.persistence.criteria.CriteriaQuery<R> query,
                                                                                                             javax.persistence.criteria.CriteriaBuilder builder,
                                                                                                             Class queryType,
                                                                                                             org.jbpm.query.jpa.data.QueryCriteria criteria,
                                                                                                             org.jbpm.query.jpa.data.QueryWhere queryWhere)

      Specified by:
        `implSpecificCreatePredicateFromSingleCriteria` in class `org.jbpm.query.jpa.impl.QueryCriteriaUtil`

    - #### createQueryAndCallApplyMetaCriteriaAndGetResult

          protected <T> List<T> createQueryAndCallApplyMetaCriteriaAndGetResult(org.jbpm.query.jpa.data.QueryWhere queryWhere,
                                                                                javax.persistence.criteria.CriteriaQuery<T> criteriaQuery,
                                                                                javax.persistence.criteria.CriteriaBuilder builder)

      Specified by:
        `createQueryAndCallApplyMetaCriteriaAndGetResult` in class `org.jbpm.query.jpa.impl.QueryCriteriaUtil`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.